---

- block:

  - name: "cleanup the potentially obsolete host key"
    command: "ssh-keygen -R {{target_ip}}"

  # - debug:
  #     var: hostvars[inventory_hostname]

  - name: "learn the machines new host key automatically"
    shell: "ssh-keyscan {{target_ip}} >> {{user_homedir}}/.ssh/known_hosts"

  # - debug: "var=vm_detail"
  # - debug: "var=target_ip"

  delegate_to: localhost

- name: test the connection
  ping:
  delegate_to: "{{target_ip}}"

# configures the network 

- name: "set the vm network configuration"
  include_role: 
    name: "vsphere-vm-set-network-config"
  vars: 
    target_machine: "{{target_ip}}"

